#include <Servo.h> 

#define MDER_1 6
#define MDER_2 3
#define MIZQ_1 5
#define MIZQ_2 11
int dir_giro = 0;

#define boton 13
int bot=0;

#define Trigger 7   //Pin digital 2 para el Trigger del sensor
#define Echo 8   //Pin digital 3 para el Echo del sensor
long t; //timepo que tarda en llegar el eco
long d; //distancia en centimetros


Servo servopinza;  //creamos un objeto servo 
int angulopinza;
Servo servobrazo;  //creamos un objeto servo 
int angulobrazo;

void setup() {
  pinMode(Trigger, OUTPUT); //pin como salida
  pinMode(Echo, INPUT);  //pin como entrada
  digitalWrite(Trigger, LOW);//Inicializamos el pin con 0
  
  pinMode(MDER_1, OUTPUT);
  pinMode(MDER_2, OUTPUT);
  pinMode(MIZQ_1, OUTPUT);
  pinMode(MIZQ_2, OUTPUT);
  
  pinMode(boton, INPUT);
  
  servopinza.attach(4);  // asignamos el pin 4 al servo pinza.
  servobrazo.attach(12);

}

void loop()
{
   angulopinza= 8;
   servopinza.write(angulopinza);
   angulobrazo= 78;
   servobrazo.write(angulobrazo);
   delay(200);
    
   if((digitalRead(boton))==1){
    bot=1;
   }
   
  while(bot==1){

  digitalWrite(Trigger, HIGH);
  delayMicroseconds(10);          //Enviamos un pulso de 10us
  digitalWrite(Trigger, LOW);
  
  t = pulseIn(Echo, HIGH); //obtenemos el ancho del pulso
  d = t/59;             //escalamos el tiempo a una distancia en cm

    analogWrite(MDER_1, 122); 
    digitalWrite(MDER_2, LOW);
    digitalWrite(MIZQ_1, LOW);
    analogWrite(MIZQ_2, 110); 

    if (d<=20){

      digitalWrite(MDER_1, HIGH);     
      digitalWrite(MDER_2, HIGH);     
      digitalWrite(MIZQ_1, HIGH);      
      digitalWrite(MIZQ_2, HIGH);
      
      delay(400);

      digitalWrite(MDER_1, LOW);      
      analogWrite(MDER_2, 100);      
      analogWrite(MIZQ_1, 100);      
      digitalWrite(MIZQ_2, LOW); 

      delay(700);

      digitalWrite(MDER_1, HIGH);      
      digitalWrite(MDER_2, HIGH);      
      digitalWrite(MIZQ_1, HIGH);     
      digitalWrite(MIZQ_2, HIGH);

      delay(400);

      if (dir_giro>=4){
        dir_giro++;
        analogWrite(MDER_2, 70);     
        digitalWrite(MDER_1, LOW);      
        analogWrite(MIZQ_2, 70);     
        digitalWrite(MIZQ_1, LOW);  
      }
      
      if (dir_giro<4){
        dir_giro++;
        analogWrite(MDER_1, 90);       
        digitalWrite(MDER_2, LOW);       
        analogWrite(MIZQ_1, 90);      
        digitalWrite(MIZQ_2, LOW); 
      }

      if (dir_giro>=8){
        dir_giro=0;
      }

      delay(520);

      digitalWrite(MDER_1, HIGH);
      digitalWrite(MDER_2, HIGH);
      digitalWrite(MIZQ_1, HIGH);
      digitalWrite(MIZQ_2, HIGH);
      delay(400);
      }
}
}
