#include <Servo.h>

#define IR A7

#define MDER_1 6
#define MDER_2 3
#define MIZQ_1 5
#define MIZQ_2 11

#define boton 13
int bot = 0;

#define Trigger 7   //Pin digital 2 para el Trigger del sensor
#define Echo 8   //Pin digital 3 para el Echo del sensor
long t; //timepo que tarda en llegar el eco
long d; //distancia en centimetros

Servo servopinza;  //creamos un objeto servo 
int angulopinza;
Servo servobrazo;  //creamos un objeto servo 
int angulobrazo;

float luz;
float luz_ref = 30;
float K = 6;
float vref = 68;
float vel_der;
float vel_izq;


void setup()
{
 pinMode(Trigger, OUTPUT); //pin como salida
 pinMode(Echo, INPUT);  //pin como entrada
 digitalWrite(Trigger, LOW);//Inicializamos el pin con 0
 
 pinMode(MDER_1, OUTPUT);
 pinMode(MDER_2, OUTPUT);
 pinMode(MIZQ_1, OUTPUT);
 pinMode(MIZQ_2, OUTPUT);

 pinMode(IR, INPUT);

 pinMode(boton, INPUT);

 servopinza.attach(4);  // asignamos el pin 4 al servo pinza.
 servobrazo.attach(2);
}
void loop()
{
  angulopinza= 8;
  servopinza.write(angulopinza);
  angulobrazo= 78;
  servobrazo.write(angulobrazo);
  delay(200);
  
  if((digitalRead(boton))==1){
    bot=1;
  }
  
  while(bot==1){

  digitalWrite(Trigger, HIGH);
  delayMicroseconds(10);          //Enviamos un pulso de 10us
  digitalWrite(Trigger, LOW);
  t = pulseIn(Echo, HIGH); //obtenemos el ancho del pulso
  d = t/59;             //escalamos el tiempo a una distancia en cm
  
  luz = analogRead(IR);
  
if(d>=33){

    analogWrite(MDER_1, 93); 
    digitalWrite(MDER_2, LOW);
    digitalWrite(MIZQ_1, LOW);
    analogWrite(MIZQ_2, 80); 
    }
    
if(d<33 && d>22){

    analogWrite(MDER_1, 78); 
    digitalWrite(MDER_2, LOW);
    digitalWrite(MIZQ_1, LOW);
    analogWrite(MIZQ_2, 67); 
    }
    
    if(d<22 && d>9){


    analogWrite(MDER_1, 70); 
    digitalWrite(MDER_2, LOW);
    digitalWrite(MIZQ_1, LOW);
    analogWrite(MIZQ_2, 59); 
    }

    if(d<9){

    digitalWrite(MDER_1, HIGH);
    digitalWrite(MDER_2, HIGH);
    digitalWrite(MIZQ_1, HIGH);
    digitalWrite(MIZQ_2, HIGH); 

    servopinza.write(55);
    delay(800);

    servobrazo.write(168);
    delay(800);

    servopinza.write(8);
    delay(800);

    servobrazo.write(78);
    delay(800);
    
    
    
    }
  }
}
